Delete a tool by id
curl --request DELETE \
--url https://eu-gcp-api.vg-stuff.com/v3/tools/{toolId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://eu-gcp-api.vg-stuff.com/v3/tools/{toolId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu-gcp-api.vg-stuff.com/v3/tools/{toolId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>"
}{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Tools
Delete Tool
Deletes a tool, this route must use the new V3 endpoints.
DELETE
/
tools
/
{toolId}
Delete a tool by id
This action is irreversible. Deleting a tool permanently removes it and any references to it in agent instructions will no longer work.
Variables associated with the tool are not automatically deleted. Clean them up separately if needed.
⌘I
